Package: org.grails.buffer

## [Java] Class StreamByteBuffer.StreamByteBufferOutputStream

- org.grails.buffer.StreamByteBuffer.StreamByteBufferOutputStream

-     class StreamByteBuffer.StreamByteBufferOutputStream
      extends java.io.OutputStream

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `closed` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `close()`
    `` | `public StreamByteBuffer` | `getBuffer()`
    `` | `public boolean` | `isClosed()`
    `` | `public void` | `write(byte[] b, int off, int len)`
    `` | `public void` | `write(int b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.OutputStream` | `java.io.OutputStream#write([B, int, int), java.io.OutputStream#write([B), java.io.OutputStream#write(int), java.io.OutputStream#flush(), java.io.OutputStream#close(), java.io.OutputStream#nullOutputStream(), java.io.OutputStream#wait(long), java.io.OutputStream#wait(long, int), java.io.OutputStream#wait(), java.io.OutputStream#equals(java.lang.Object), java.io.OutputStream#toString(), java.io.OutputStream#hashCode(), java.io.OutputStream#getClass(), java.io.OutputStream#notify(), java.io.OutputStream#notifyAll()`

- - ### Field Detail

    - #### private boolean closed

  - ### Method Detail

    - #### @java.lang.Override public void close()

    - #### public StreamByteBuffer getBuffer()

    - #### public boolean isClosed()

    - #### @java.lang.Override public void write(byte[] b, int off, int len)

    - #### @java.lang.Override public void write(int b)